<?php
/*

***********************************************************************************
***********************************************************************************

  This software is copyrighted by lunarscripts.com. 
  It is not freeware and may not be distributed in 
  whole or in part without permission. 
    
  Professional versions of Lunarscripts.com software must be licensed and registered.
  Unlawful copies of any Lunarscript will not be supported.
  For more information about your lunarcart or to become a reseller or vendor,
  please contact support@lunarscripts.biz.
  
  This is a professional storefront that will enhance the online business
  of any storefront and make backend administration extremely easy and
  user-friendly. Novices will be able to comfortably navigate their new
  stores in a matter of minutes instead of hours or days.
    
  Extensive rescripting and programming has been intricately included 
  throughout this software and thus renders the original version inseparable.
  
  This copyright tag may not be lawfully removed and this software
  may not be lawfully redistributed without permission.
  
***********************************************************************************
***********************************************************************************

*/

// check if the 'install' directory exists, and warn of its existence
  if (WARN_INSTALL_EXISTENCE == 'true') {
    if (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install')) {
      $messageStack->add('header', WARNING_INSTALL_DIRECTORY_EXISTS, 'warning');
    }
  }

// check if the configure.php file is writeable
  if (WARN_CONFIG_WRITEABLE == 'true') {
    if ( (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) && (is_writeable(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) ) {
      $messageStack->add('header', WARNING_CONFIG_FILE_WRITEABLE, 'warning');
    }
  }

// check if the session folder is writeable
  if (WARN_SESSION_DIRECTORY_NOT_WRITEABLE == 'true') {
    if (STORE_SESSIONS == '') {
      if (!is_dir(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NON_EXISTENT, 'warning');
      } elseif (!is_writeable(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NOT_WRITEABLE, 'warning');
      }
    }
  }

// check session.auto_start is disabled
  if ( (function_exists('ini_get')) && (WARN_SESSION_AUTO_START == 'true') ) {
    if (ini_get('session.auto_start') == '1') {
      $messageStack->add('header', WARNING_SESSION_AUTO_START, 'warning');
    }
  }

  if ( (WARN_DOWNLOAD_DIRECTORY_NOT_READABLE == 'true') && (DOWNLOAD_ENABLED == 'true') ) {
    if (!is_dir(DIR_FS_DOWNLOAD)) {
      $messageStack->add('header', WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT, 'warning');
    }
  }

  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
?>




<?php if (DOWN_FOR_MAINTENANCE_WARNING == 'true') 
 { ?><center>
	<table border="0" width="90%" cellspacing="0" cellpadding="6">
	  <tr>
	    <td valign="middle" align="center" width="100%" bgcolor="red"><b>
	      <font face=verdana size="3" color="white"><?php echo DOWN_FOR_MAINTENANCE_MESSAGE; ?></font>
	    </td>
	  </tr>
	<table>
<?php 
 }	?>




  </tr>
</table>
<p align="center">
<table width="90%" border="0" cellpadding="0" cellspacing="0" align="center" background="ffffff">
  <p align="center"><tr>
    <td valign="top" background="ffffff">&nbsp;</td><center>
    <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
      <tr class="header"><tr><td></tr></td><tr><td></tr></td>
        <td><center><?php echo '<a href="' . tep_href_link(FILENAME_DEFAULT) . '">' . tep_image(DIR_WS_IMAGES . 'logo.gif', '') . '</a>'; ?></td><tr><td></tr></td><tr><td></tr></td><tr><td></tr></td><tr><td></tr></td>
       <br>
       
      
        <table border="0" width="100%" cellspacing="0" cellpadding="1">
          <tr class="headerNavigation">
            <td class="headerNavigation">&nbsp;&nbsp;<?php echo $breadcrumb->trail(' &raquo; '); ?></td>
            <td align="right" class="headerNavigation"><a href="javascript:window.external.AddFavorite(location.href,document.title);" class="headerNavigation"><?php echo BOX_HEADER_ADDFAVORITE; ?></a>&nbsp;&nbsp;</td>
          </tr>
          <tr class="headerNavigation">
            <td class="headerNavigation" align="left" ><span style="font-weight:normal;font-family:Arial">&nbsp;&nbsp;<?php echo tep_draw_form('search', tep_href_link(FILENAME_ADVANCED_SEARCH_RESULT, '', 'NONSSL', false), 'get') . tep_draw_hidden_field('search_in_description','1') . tep_draw_input_field('keywords', '', 'size="15" maxlength="30" style="width: ' . (BOX_WIDTH-15) . 'px"') . ' ' . tep_draw_pull_down_menu('categories_id', tep_get_categories(array(array('id' => '', 'text' => BOX_ALL_CATEGORIES)))) . '' . tep_hide_session_id() . tep_image_submit('button_quick_find.gif', IMAGE_BUTTON_SEARCH, 'align="middle"') . tep_draw_hidden_field('inc_subcat', '1', true) . '</form>'; ?></span></td>
            <td class="headerNavigation" align="right" ><?php if (tep_session_is_registered('customer_id')) { ?>
                <a href="<?php echo tep_href_link(FILENAME_LOGOFF, '', 'SSL'); ?>" class="headerNavigation"><?php echo HEADER_TITLE_LOGOFF; ?></a> &nbsp;|&nbsp;
                <?php } ?>
                <?php echo '<a href="' . tep_href_link(FILENAME_ACCOUNT, '', 'SSL') . '">' . tep_image(DIR_WS_IMAGES . 'header_account.gif', HEADER_TITLE_MY_ACCOUNT) . '</a>&nbsp;&nbsp;<a href="' . tep_href_link(FILENAME_SHOPPING_CART) . '">' . tep_image(DIR_WS_IMAGES . 'header_cart.gif', HEADER_TITLE_CART_CONTENTS) . '</a>&nbsp;&nbsp;<a href="' . tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL') . '">' . tep_image(DIR_WS_IMAGES . 'header_checkout.gif', HEADER_TITLE_CHECKOUT) . '</a>'; ?>&nbsp;&nbsp;</td>
          </tr>
    </table></td>
    <td background="ffffff">&nbsp;</td>
  </tr>
  <tr>
    <td align="right" valign="top"><img src="images/header/lower_left.gif" alt="2" width="5" height="5" /></td>
    <td valign="top" background="ffffff"></td>
    <td align="left" valign="top"></td>
  </tr>
</table>

<td valign="middle">
    <?php
  if ($banner = tep_banner_exists('dynamic', 'Header')) {
?>
<br>
<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td align="center"><?php echo tep_display_banner('static', $banner); ?></td>
  </tr>
</table>
<?php
  }
?>




<?php
  if (isset($HTTP_GET_VARS['error_message']) && tep_not_null($HTTP_GET_VARS['error_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerError">
    <td class="headerError"><?php echo htmlspecialchars(urldecode($HTTP_GET_VARS['error_message'])); ?></td>
  </tr>
</table>
<?php
  }

  if (isset($HTTP_GET_VARS['info_message']) && tep_not_null($HTTP_GET_VARS['info_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerInfo">
    <td class="headerInfo"><?php echo htmlspecialchars($HTTP_GET_VARS['info_message']); ?></td>
  </tr>
</table>
<?php
  }
?>
